> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/api-reference/admin-api/partial-assortments.md).

# Partial Assortments

Endpoints for Partial Assortments addon

Partial Assortments addon

## GET /b2bsellers-partial-assortment-category-rule

> List all categories and their rules

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-category-rule":{"get":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"List all categories and their rules","parameters":[{"name":"limit","in":"query","description":"Max amount of resources to be returned in a page","required":false,"schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page to be returned","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"List of categories and their rules","content":{"application/json":{"schema":{"$ref":"#/components/schemas/category"}}}}}}}},"components":{"schemas":{"category":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Concatenated category and rule ids"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"categoryId":{"type":"string"},"categoryVersionId":{"type":"string"},"ruleId":{"type":"string"}}}}}}}}}}}
```

## Assign a rule to a category for the rule-based assortment

> If a category-rule combination already exists, the status code 204 is returned.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-category-rule":{"post":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"Assign a rule to a category for the rule-based assortment","description":"If a category-rule combination already exists, the status code 204 is returned.","requestBody":{"$ref":"#/components/requestBodies/category"},"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{}}
```

## Delete a rule from a category

> If a category-rule combination doesn't exist, the status code 204 is returned.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-category-rule/{categoryId}/{ruleId}":{"delete":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"Delete a rule from a category","description":"If a category-rule combination doesn't exist, the status code 204 is returned.","parameters":[{"name":"categoryId","in":"path","description":"UUID of a category","required":true,"schema":{"type":"string"}},{"name":"ruleId","in":"path","description":"UUID of a rule","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No content"}}}}}}
```

## GET /b2bsellers-partial-assortment-landing-page-rule

> List all landing pages and their rules

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-landing-page-rule":{"get":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"List all landing pages and their rules","parameters":[{"name":"limit","in":"query","description":"Max amount of resources to be returned in a page","required":false,"schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page to be returned","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"List of landing pages and their rules","content":{"application/json":{"schema":{"$ref":"#/components/schemas/landingPage"}}}}}}}},"components":{"schemas":{"landingPage":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Concatenated landing page and rule ids"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"landingPageId":{"type":"string"},"landingPageVersionId":{"type":"string"},"ruleId":{"type":"string"}}}}}}}}}}}
```

## Assign a rule to a landing page for the rule-based assortment

> If a landingPage-rule combination already exists, the status code 204 is returned.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-landing-page-rule":{"post":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"Assign a rule to a landing page for the rule-based assortment","description":"If a landingPage-rule combination already exists, the status code 204 is returned.","requestBody":{"$ref":"#/components/requestBodies/landingPage"},"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{}}
```

## Delete a rule from a landing page

> If a landingPage-rule combination doesn't exist, the status code 204 is returned.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-landing-page-rule/{landingPageId}/{ruleId}":{"delete":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"Delete a rule from a landing page","description":"If a landingPage-rule combination doesn't exist, the status code 204 is returned.","parameters":[{"name":"landingPageId","in":"path","description":"UUID of a landing page","required":true,"schema":{"type":"string"}},{"name":"ruleId","in":"path","description":"UUID of a rule","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No content"}}}}}}
```

## GET /b2bsellers-partial-assortment-product-rule

> List all products and their rules

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-product-rule":{"get":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"List all products and their rules","parameters":[{"name":"limit","in":"query","description":"Max amount of resources to be returned in a page","required":false,"schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page to be returned","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"List of products and their rules","content":{"application/json":{"schema":{"$ref":"#/components/schemas/product"}}}}}}}},"components":{"schemas":{"product":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Concatenated product and rule ids"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"productId":{"type":"string"},"productVersionId":{"type":"string"},"ruleId":{"type":"string"}}}}}}}}}}}
```

## Assign a rule to a product for the rule-based assortment

> If a product-rule combination already exists, the status code 204 is returned.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-product-rule":{"post":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"Assign a rule to a product for the rule-based assortment","description":"If a product-rule combination already exists, the status code 204 is returned.","requestBody":{"$ref":"#/components/requestBodies/product"},"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{}}
```

## Delete a rule from a product

> If a product-rule combination doesn't exist, the status code 204 is returned.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"AdminApi-B2bPartialAssortments","description":"Partial Assortments addon"}],"paths":{"/b2bsellers-partial-assortment-product-rule/{productId}/{ruleId}":{"delete":{"tags":["AdminApi-B2bPartialAssortments"],"summary":"Delete a rule from a product","description":"If a product-rule combination doesn't exist, the status code 204 is returned.","parameters":[{"name":"productId","in":"path","description":"UUID of a product","required":true,"schema":{"type":"string"}},{"name":"ruleId","in":"path","description":"UUID of a rule","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No content"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.b2b-sellers.com/b2b-platform/api-reference/admin-api/partial-assortments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
